aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-07-19 21:27:37 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-07-19 21:27:37 +0000
commit75c6345191d8ade900ee67d6f667ca8346fa363e (patch)
tree46c4f8a9f57f0535086e2f042dde6606c12b7fe0
parentdd28ac10ae9d9ef7e9fe893e3a21c637db85272f (diff)
downloadpaludis-75c6345191d8ade900ee67d6f667ca8346fa363e.tar.gz
paludis-75c6345191d8ade900ee67d6f667ca8346fa363e.tar.xz
Warn if /proc is strange
-rwxr-xr-xebuild/ebuild.bash8
1 files changed, 7 insertions, 1 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 777e8d2..6725f92 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -97,7 +97,8 @@ ebuild_source_profile()
fi
if [[ -f ${1}/make.defaults ]] ; then
- eval "$(sed -e 's/^\([a-zA-Z0-9\-_]\+=\)/export \1/' ${1}/make.defaults )" || die "Couldn't source ${1}/make.defaults"
+ eval "$(sed -e 's/^\([a-zA-Z0-9\-_]\+=\)/export \1/' ${1}/make.defaults )" \
+ || die "Couldn't source ${1}/make.defaults"
fi
if [[ -f ${1}/bashrc ]] ; then
@@ -220,6 +221,11 @@ perform_hook()
ebuild_main()
{
+ if ! [[ -e /proc/self ]] ; then
+ ebuild_notice "warning" "/proc appears to be unmounted or unreadable."
+ ebuild_notice "warning" "This will cause problems."
+ fi
+
local action ebuild="$1"
shift